Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QFtp.Command

    java.lang.Object
      java.lang.Enum<QFtp.Command>
          com.trolltech.qt.network.QFtp.Command

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFtp.Command>

Enclosing class:
  QFtp

    public static enum QFtp.Command

extends java.lang.Enum<QFtp.Command>
implements QtEnumerator

This enum is used as the return value for the `currentCommand` function. This allows you to perform specific actions for particular commands, e.g. in a FTP client, you might want to clear the directory view when a `list` command is started; in this case you can simply check in the slot connected to the start() signal if the `currentCommand` is `List`.

See Also:
  `currentCommand`

Enum Constant Summary
`Cd` `cd` is being executed.
`Close` `close` is being executed.
`ConnectToHost` `connectToHost` is being executed.
`Get` `get` is being executed.
`List` `list` is being executed.
`Login` `login` is being executed.
`Mkdir` `mkdir` is being executed.
`None` No command is being executed.
`Put` `put` is being executed.
`RawCommand` `rawCommand` is being executed.
`Remove` `remove` is being executed.
`Rename` `rename` is being executed.
`Rmdir` `rmdir` is being executed.
`SetProxy` switch proxying on or off.
`SetTransferMode` set the transfer mode.

Method Summary
`static QFtp.Command` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.Command` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFtp.Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QFtp.Command None

  No command is being executed.

### SetTransferMode

    public static final QFtp.Command SetTransferMode

  set the transfer mode.

### SetProxy

    public static final QFtp.Command SetProxy

  switch proxying on or off.

### ConnectToHost

    public static final QFtp.Command ConnectToHost

  `connectToHost` is being executed.

### Login

    public static final QFtp.Command Login

  `login` is being executed.

### Close

    public static final QFtp.Command Close

  `close` is being executed.

### List

    public static final QFtp.Command List

  `list` is being executed.

### Cd

    public static final QFtp.Command Cd

  `cd` is being executed.

### Get

    public static final QFtp.Command Get

  `get` is being executed.

### Put

    public static final QFtp.Command Put

  `put` is being executed.

### Remove

    public static final QFtp.Command Remove

  `remove` is being executed.

### Mkdir

    public static final QFtp.Command Mkdir

  `mkdir` is being executed.

### Rmdir

    public static final QFtp.Command Rmdir

  `rmdir` is being executed.

### Rename

    public static final QFtp.Command Rename

  `rename` is being executed.

### RawCommand

    public static final QFtp.Command RawCommand

  `rawCommand` is being executed.

Method Detail

### values

    public static final QFtp.Command[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFtp.Command c : QFtp.Command.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFtp.Command valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.Command resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD